Loaded from commit 609fccd4f5adb0bce4cbff15b0d2617cc2e7521d

=== Building opam install ocaml-sfml.0.08 (c799a1)
[2019-09-01 20:29.10] Starting...
Sending build context to Docker daemon  2.048kB

Step 1/6 : FROM sha256:d23ebb904aaf072a340e2a5d3e0af877541633ea2715bc92a50ebaaad489e493
 ---> d23ebb904aaf
Step 2/6 : RUN opam pin add -k version -yn ocaml-sfml 0.08
 ---> Running in f96876e9a293
ocaml-sfml is now pinned to version 0.08
Removing intermediate container f96876e9a293
 ---> 68f782610fbe
Step 3/6 : ENV OPAMSOLVERTIMEOUT 500
 ---> Running in 32e734d2cf2c
Removing intermediate container 32e734d2cf2c
 ---> b497af23a47c
Step 4/6 : RUN opam exec -- opam-ci-install ocaml-sfml.0.08
 ---> Running in 2af9d6645911
$ opam remote

<><> Repository configuration for switch 4.08 <><><><><><><><><><><><><><><><><>
 1 default git+file:///home/opam/opam-repository
[NOTE] These are the repositories in use by the current switch. Use '--all' to see all configured repositories.
$ opam list
# Packages matching: installed
# Name              # Installed # Synopsis
base-bigarray       base
base-threads        base
base-unix           base
depext              transition  opam-depext transition package
ocaml               4.08.1      The OCaml compiler (virtual package)
ocaml-base-compiler 4.08.1      Official release 4.08.1
ocaml-config        1           OCaml Switch Configuration
opam-ci-scripts     0.1         pinned to version 0.1 at git+https://github.com/kit-ty-kate/opam-ci-scripts.git
opam-depext         1.1.3       Query and install external dependencies of OPAM packages
$ opam depext -uivyj 2 ocaml-sfml.0.08
# Detecting depexts using vars: arch=x86_64, os=linux, os-distribution=debian, os-family=debian
libsfml-dev
m4
pkg-config
# The following system packages are needed:
The following command needs to be run through "sudo":
    apt-get update
Hit:1 http://deb.debian.org/debian buster InRelease
Get:2 http://deb.debian.org/debian buster-updates InRelease [49.3 kB]
Get:3 http://security.debian.org/debian-security buster/updates InRelease [39.1 kB]
Get:4 http://security.debian.org/debian-security buster/updates/main amd64 Packages [73.9 kB]
Fetched 162 kB in 1s (213 kB/s)
Reading package lists...
The following command needs to be run through "sudo":
    apt-get install -qq -yy libsfml-dev m4 pkg-config
# OS package update successful
debconf: delaying package configuration, since apt-utils is not installed
Selecting previously unselected package libapparmor1:amd64.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 17364 files and directories currently installed.)
Preparing to unpack .../000-libapparmor1_2.13.2-10_amd64.deb ...
Unpacking libapparmor1:amd64 (2.13.2-10) ...
Selecting previously unselected package libdbus-1-3:amd64.
Preparing to unpack .../001-libdbus-1-3_1.12.16-1_amd64.deb ...
Unpacking libdbus-1-3:amd64 (1.12.16-1) ...
Selecting previously unselected package dbus.
Preparing to unpack .../002-dbus_1.12.16-1_amd64.deb ...
Unpacking dbus (1.12.16-1) ...
Selecting previously unselected package libasound2-data.
Preparing to unpack .../003-libasound2-data_1.1.8-1_all.deb ...
Unpacking libasound2-data (1.1.8-1) ...
Selecting previously unselected package libasound2:amd64.
Preparing to unpack .../004-libasound2_1.1.8-1_amd64.deb ...
Unpacking libasound2:amd64 (1.1.8-1) ...
Selecting previously unselected package libasyncns0:amd64.
Preparing to unpack .../005-libasyncns0_0.8-6_amd64.deb ...
Unpacking libasyncns0:amd64 (0.8-6) ...
Selecting previously unselected package libdrm-common.
Preparing to unpack .../006-libdrm-common_2.4.97-1_all.deb ...
Unpacking libdrm-common (2.4.97-1) ...
Selecting previously unselected package libdrm2:amd64.
Preparing to unpack .../007-libdrm2_2.4.97-1_amd64.deb ...
Unpacking libdrm2:amd64 (2.4.97-1) ...
Selecting previously unselected package libdrm-amdgpu1:amd64.
Preparing to unpack .../008-libdrm-amdgpu1_2.4.97-1_amd64.deb ...
Unpacking libdrm-amdgpu1:amd64 (2.4.97-1) ...
Selecting previously unselected package libpciaccess0:amd64.
Preparing to unpack .../009-libpciaccess0_0.14-1_amd64.deb ...
Unpacking libpciaccess0:amd64 (0.14-1) ...
Selecting previously unselected package libdrm-intel1:amd64.
Preparing to unpack .../010-libdrm-intel1_2.4.97-1_amd64.deb ...
Unpacking libdrm-intel1:amd64 (2.4.97-1) ...
Selecting previously unselected package libdrm-radeon1:amd64.
Preparing to unpack .../011-libdrm-radeon1_2.4.97-1_amd64.deb ...
Unpacking libdrm-radeon1:amd64 (2.4.97-1) ...
Selecting previously unselected package libdrm-nouveau2:amd64.
Preparing to unpack .../012-libdrm-nouveau2_2.4.97-1_amd64.deb ...
Unpacking libdrm-nouveau2:amd64 (2.4.97-1) ...
Selecting previously unselected package libdrm-dev:amd64.
Preparing to unpack .../013-libdrm-dev_2.4.97-1_amd64.deb ...
Unpacking libdrm-dev:amd64 (2.4.97-1) ...
Selecting previously unselected package libwayland-server0:amd64.
Preparing to unpack .../014-libwayland-server0_1.16.0-1_amd64.deb ...
Unpacking libwayland-server0:amd64 (1.16.0-1) ...
Selecting previously unselected package libgbm1:amd64.
Preparing to unpack .../015-libgbm1_18.3.6-2_amd64.deb ...
Unpacking libgbm1:amd64 (18.3.6-2) ...
Selecting previously unselected package libglapi-mesa:amd64.
Preparing to unpack .../016-libglapi-mesa_18.3.6-2_amd64.deb ...
Unpacking libglapi-mesa:amd64 (18.3.6-2) ...
Selecting previously unselected package libwayland-client0:amd64.
Preparing to unpack .../017-libwayland-client0_1.16.0-1_amd64.deb ...
Unpacking libwayland-client0:amd64 (1.16.0-1) ...
Selecting previously unselected package libx11-xcb1:amd64.
Preparing to unpack .../018-libx11-xcb1_2%3a1.6.7-1_amd64.deb ...
Unpacking libx11-xcb1:amd64 (2:1.6.7-1) ...
Selecting previously unselected package libxcb-dri2-0:amd64.
Preparing to unpack .../019-libxcb-dri2-0_1.13.1-2_amd64.deb ...
Unpacking libxcb-dri2-0:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-dri3-0:amd64.
Preparing to unpack .../020-libxcb-dri3-0_1.13.1-2_amd64.deb ...
Unpacking libxcb-dri3-0:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-present0:amd64.
Preparing to unpack .../021-libxcb-present0_1.13.1-2_amd64.deb ...
Unpacking libxcb-present0:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-sync1:amd64.
Preparing to unpack .../022-libxcb-sync1_1.13.1-2_amd64.deb ...
Unpacking libxcb-sync1:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-xfixes0:amd64.
Preparing to unpack .../023-libxcb-xfixes0_1.13.1-2_amd64.deb ...
Unpacking libxcb-xfixes0:amd64 (1.13.1-2) ...
Selecting previously unselected package libxshmfence1:amd64.
Preparing to unpack .../024-libxshmfence1_1.3-1_amd64.deb ...
Unpacking libxshmfence1:amd64 (1.3-1) ...
Selecting previously unselected package libegl-mesa0:amd64.
Preparing to unpack .../025-libegl-mesa0_18.3.6-2_amd64.deb ...
Unpacking libegl-mesa0:amd64 (18.3.6-2) ...
Selecting previously unselected package libogg0:amd64.
Preparing to unpack .../026-libogg0_1.3.2-1+b1_amd64.deb ...
Unpacking libogg0:amd64 (1.3.2-1+b1) ...
Selecting previously unselected package libflac8:amd64.
Preparing to unpack .../027-libflac8_1.3.2-3_amd64.deb ...
Unpacking libflac8:amd64 (1.3.2-3) ...
Selecting previously unselected package libpng16-16:amd64.
Preparing to unpack .../028-libpng16-16_1.6.36-6_amd64.deb ...
Unpacking libpng16-16:amd64 (1.6.36-6) ...
Selecting previously unselected package libfreetype6:amd64.
Preparing to unpack .../029-libfreetype6_2.9.1-3_amd64.deb ...
Unpacking libfreetype6:amd64 (2.9.1-3) ...
Selecting previously unselected package mesa-common-dev:amd64.
Preparing to unpack .../030-mesa-common-dev_18.3.6-2_amd64.deb ...
Unpacking mesa-common-dev:amd64 (18.3.6-2) ...
Selecting previously unselected package libglvnd0:amd64.
Preparing to unpack .../031-libglvnd0_1.1.0-1_amd64.deb ...
Unpacking libglvnd0:amd64 (1.1.0-1) ...
Selecting previously unselected package libglvnd-core-dev:amd64.
Preparing to unpack .../032-libglvnd-core-dev_1.1.0-1_amd64.deb ...
Unpacking libglvnd-core-dev:amd64 (1.1.0-1) ...
Selecting previously unselected package libegl1:amd64.
Preparing to unpack .../033-libegl1_1.1.0-1_amd64.deb ...
Unpacking libegl1:amd64 (1.1.0-1) ...
Selecting previously unselected package libgles1:amd64.
Preparing to unpack .../034-libgles1_1.1.0-1_amd64.deb ...
Unpacking libgles1:amd64 (1.1.0-1) ...
Selecting previously unselected package libgles2:amd64.
Preparing to unpack .../035-libgles2_1.1.0-1_amd64.deb ...
Unpacking libgles2:amd64 (1.1.0-1) ...
Selecting previously unselected package libxcb-glx0:amd64.
Preparing to unpack .../036-libxcb-glx0_1.13.1-2_amd64.deb ...
Unpacking libxcb-glx0:amd64 (1.13.1-2) ...
Selecting previously unselected package libxfixes3:amd64.
Preparing to unpack .../037-libxfixes3_1%3a5.0.3-1_amd64.deb ...
Unpacking libxfixes3:amd64 (1:5.0.3-1) ...
Selecting previously unselected package libxdamage1:amd64.
Preparing to unpack .../038-libxdamage1_1%3a1.1.4-3+b3_amd64.deb ...
Unpacking libxdamage1:amd64 (1:1.1.4-3+b3) ...
Selecting previously unselected package libxxf86vm1:amd64.
Preparing to unpack .../039-libxxf86vm1_1%3a1.1.4-1+b2_amd64.deb ...
Unpacking libxxf86vm1:amd64 (1:1.1.4-1+b2) ...
Selecting previously unselected package libllvm7:amd64.
Preparing to unpack .../040-libllvm7_1%3a7.0.1-8_amd64.deb ...
Unpacking libllvm7:amd64 (1:7.0.1-8) ...
Selecting previously unselected package libsensors-config.
Preparing to unpack .../041-libsensors-config_1%3a3.5.0-3_all.deb ...
Unpacking libsensors-config (1:3.5.0-3) ...
Selecting previously unselected package libsensors5:amd64.
Preparing to unpack .../042-libsensors5_1%3a3.5.0-3_amd64.deb ...
Unpacking libsensors5:amd64 (1:3.5.0-3) ...
Selecting previously unselected package libgl1-mesa-dri:amd64.
Preparing to unpack .../043-libgl1-mesa-dri_18.3.6-2_amd64.deb ...
Unpacking libgl1-mesa-dri:amd64 (18.3.6-2) ...
Selecting previously unselected package libglx-mesa0:amd64.
Preparing to unpack .../044-libglx-mesa0_18.3.6-2_amd64.deb ...
Unpacking libglx-mesa0:amd64 (18.3.6-2) ...
Selecting previously unselected package libglx0:amd64.
Preparing to unpack .../045-libglx0_1.1.0-1_amd64.deb ...
Unpacking libglx0:amd64 (1.1.0-1) ...
Selecting previously unselected package libgl1:amd64.
Preparing to unpack .../046-libgl1_1.1.0-1_amd64.deb ...
Unpacking libgl1:amd64 (1.1.0-1) ...
Selecting previously unselected package libopengl0:amd64.
Preparing to unpack .../047-libopengl0_1.1.0-1_amd64.deb ...
Unpacking libopengl0:amd64 (1.1.0-1) ...
Selecting previously unselected package libglvnd-dev:amd64.
Preparing to unpack .../048-libglvnd-dev_1.1.0-1_amd64.deb ...
Unpacking libglvnd-dev:amd64 (1.1.0-1) ...
Selecting previously unselected package libx11-xcb-dev:amd64.
Preparing to unpack .../049-libx11-xcb-dev_2%3a1.6.7-1_amd64.deb ...
Unpacking libx11-xcb-dev:amd64 (2:1.6.7-1) ...
Selecting previously unselected package libxcb-dri3-dev:amd64.
Preparing to unpack .../050-libxcb-dri3-dev_1.13.1-2_amd64.deb ...
Unpacking libxcb-dri3-dev:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-randr0:amd64.
Preparing to unpack .../051-libxcb-randr0_1.13.1-2_amd64.deb ...
Unpacking libxcb-randr0:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-render0:amd64.
Preparing to unpack .../052-libxcb-render0_1.13.1-2_amd64.deb ...
Unpacking libxcb-render0:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-render0-dev:amd64.
Preparing to unpack .../053-libxcb-render0-dev_1.13.1-2_amd64.deb ...
Unpacking libxcb-render0-dev:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-randr0-dev:amd64.
Preparing to unpack .../054-libxcb-randr0-dev_1.13.1-2_amd64.deb ...
Unpacking libxcb-randr0-dev:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-shape0:amd64.
Preparing to unpack .../055-libxcb-shape0_1.13.1-2_amd64.deb ...
Unpacking libxcb-shape0:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-shape0-dev:amd64.
Preparing to unpack .../056-libxcb-shape0-dev_1.13.1-2_amd64.deb ...
Unpacking libxcb-shape0-dev:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-xfixes0-dev:amd64.
Preparing to unpack .../057-libxcb-xfixes0-dev_1.13.1-2_amd64.deb ...
Unpacking libxcb-xfixes0-dev:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-sync-dev:amd64.
Preparing to unpack .../058-libxcb-sync-dev_1.13.1-2_amd64.deb ...
Unpacking libxcb-sync-dev:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-present-dev:amd64.
Preparing to unpack .../059-libxcb-present-dev_1.13.1-2_amd64.deb ...
Unpacking libxcb-present-dev:amd64 (1.13.1-2) ...
Selecting previously unselected package libxshmfence-dev:amd64.
Preparing to unpack .../060-libxshmfence-dev_1.3-1_amd64.deb ...
Unpacking libxshmfence-dev:amd64 (1.3-1) ...
Selecting previously unselected package libxcb-dri2-0-dev:amd64.
Preparing to unpack .../061-libxcb-dri2-0-dev_1.13.1-2_amd64.deb ...
Unpacking libxcb-dri2-0-dev:amd64 (1.13.1-2) ...
Selecting previously unselected package libxcb-glx0-dev:amd64.
Preparing to unpack .../062-libxcb-glx0-dev_1.13.1-2_amd64.deb ...
Unpacking libxcb-glx0-dev:amd64 (1.13.1-2) ...
Selecting previously unselected package x11proto-fixes-dev.
Preparing to unpack .../063-x11proto-fixes-dev_1%3a2018.4-4_all.deb ...
Unpacking x11proto-fixes-dev (1:2018.4-4) ...
Selecting previously unselected package libxfixes-dev:amd64.
Preparing to unpack .../064-libxfixes-dev_1%3a5.0.3-1_amd64.deb ...
Unpacking libxfixes-dev:amd64 (1:5.0.3-1) ...
Selecting previously unselected package x11proto-damage-dev.
Preparing to unpack .../065-x11proto-damage-dev_1%3a2018.4-4_all.deb ...
Unpacking x11proto-damage-dev (1:2018.4-4) ...
Selecting previously unselected package libxdamage-dev:amd64.
Preparing to unpack .../066-libxdamage-dev_1%3a1.1.4-3+b3_amd64.deb ...
Unpacking libxdamage-dev:amd64 (1:1.1.4-3+b3) ...
Selecting previously unselected package x11proto-xext-dev.
Preparing to unpack .../067-x11proto-xext-dev_2018.4-4_all.deb ...
Unpacking x11proto-xext-dev (2018.4-4) ...
Selecting previously unselected package libxext-dev:amd64.
Preparing to unpack .../068-libxext-dev_2%3a1.3.3-1+b2_amd64.deb ...
Unpacking libxext-dev:amd64 (2:1.3.3-1+b2) ...
Selecting previously unselected package x11proto-xf86vidmode-dev.
Preparing to unpack .../069-x11proto-xf86vidmode-dev_2018.4-4_all.deb ...
Unpacking x11proto-xf86vidmode-dev (2018.4-4) ...
Selecting previously unselected package libxxf86vm-dev:amd64.
Preparing to unpack .../070-libxxf86vm-dev_1%3a1.1.4-1+b2_amd64.deb ...
Unpacking libxxf86vm-dev:amd64 (1:1.1.4-1+b2) ...
Selecting previously unselected package libgl1-mesa-dev:amd64.
Preparing to unpack .../071-libgl1-mesa-dev_18.3.6-2_amd64.deb ...
Unpacking libgl1-mesa-dev:amd64 (18.3.6-2) ...
Selecting previously unselected package libglib2.0-0:amd64.
Preparing to unpack .../072-libglib2.0-0_2.58.3-2_amd64.deb ...
Unpacking libglib2.0-0:amd64 (2.58.3-2) ...
Selecting previously unselected package libglib2.0-data.
Preparing to unpack .../073-libglib2.0-data_2.58.3-2_all.deb ...
Unpacking libglib2.0-data (2.58.3-2) ...
Selecting previously unselected package x11-common.
Preparing to unpack .../074-x11-common_1%3a7.7+19_all.deb ...
Unpacking x11-common (1:7.7+19) ...
Selecting previously unselected package libice6:amd64.
Preparing to unpack .../075-libice6_2%3a1.0.9-2_amd64.deb ...
Unpacking libice6:amd64 (2:1.0.9-2) ...
Selecting previously unselected package libicu63:amd64.
Preparing to unpack .../076-libicu63_63.1-6_amd64.deb ...
Unpacking libicu63:amd64 (63.1-6) ...
Selecting previously unselected package libopenal-data.
Preparing to unpack .../077-libopenal-data_1%3a1.19.1-1_all.deb ...
Unpacking libopenal-data (1:1.19.1-1) ...
Selecting previously unselected package libsndio7.0:amd64.
Preparing to unpack .../078-libsndio7.0_1.5.0-3_amd64.deb ...
Unpacking libsndio7.0:amd64 (1.5.0-3) ...
Selecting previously unselected package libopenal1:amd64.
Preparing to unpack .../079-libopenal1_1%3a1.19.1-1_amd64.deb ...
Unpacking libopenal1:amd64 (1:1.19.1-1) ...
Selecting previously unselected package libsm6:amd64.
Preparing to unpack .../080-libsm6_2%3a1.2.3-1_amd64.deb ...
Unpacking libsm6:amd64 (2:1.2.3-1) ...
Selecting previously unselected package libvorbis0a:amd64.
Preparing to unpack .../081-libvorbis0a_1.3.6-2_amd64.deb ...
Unpacking libvorbis0a:amd64 (1.3.6-2) ...
Selecting previously unselected package libvorbisenc2:amd64.
Preparing to unpack .../082-libvorbisenc2_1.3.6-2_amd64.deb ...
Unpacking libvorbisenc2:amd64 (1.3.6-2) ...
Selecting previously unselected package libsndfile1:amd64.
Preparing to unpack .../083-libsndfile1_1.0.28-6_amd64.deb ...
Unpacking libsndfile1:amd64 (1.0.28-6) ...
Selecting previously unselected package libwrap0:amd64.
Preparing to unpack .../084-libwrap0_7.6.q-28_amd64.deb ...
Unpacking libwrap0:amd64 (7.6.q-28) ...
Selecting previously unselected package libxi6:amd64.
Preparing to unpack .../085-libxi6_2%3a1.7.9-1_amd64.deb ...
Unpacking libxi6:amd64 (2:1.7.9-1) ...
Selecting previously unselected package libxtst6:amd64.
Preparing to unpack .../086-libxtst6_2%3a1.2.3-1_amd64.deb ...
Unpacking libxtst6:amd64 (2:1.2.3-1) ...
Selecting previously unselected package libpulse0:amd64.
Preparing to unpack .../087-libpulse0_12.2-4_amd64.deb ...
Unpacking libpulse0:amd64 (12.2-4) ...
Selecting previously unselected package libsfml-system2.5:amd64.
Preparing to unpack .../088-libsfml-system2.5_2.5.1+dfsg-1_amd64.deb ...
Unpacking libsfml-system2.5:amd64 (2.5.1+dfsg-1) ...
Selecting previously unselected package libvorbisfile3:amd64.
Preparing to unpack .../089-libvorbisfile3_1.3.6-2_amd64.deb ...
Unpacking libvorbisfile3:amd64 (1.3.6-2) ...
Selecting previously unselected package libsfml-audio2.5:amd64.
Preparing to unpack .../090-libsfml-audio2.5_2.5.1+dfsg-1_amd64.deb ...
Unpacking libsfml-audio2.5:amd64 (2.5.1+dfsg-1) ...
Selecting previously unselected package libxrender1:amd64.
Preparing to unpack .../091-libxrender1_1%3a0.9.10-1_amd64.deb ...
Unpacking libxrender1:amd64 (1:0.9.10-1) ...
Selecting previously unselected package libxrandr2:amd64.
Preparing to unpack .../092-libxrandr2_2%3a1.5.1-1_amd64.deb ...
Unpacking libxrandr2:amd64 (2:1.5.1-1) ...
Selecting previously unselected package libsfml-window2.5:amd64.
Preparing to unpack .../093-libsfml-window2.5_2.5.1+dfsg-1_amd64.deb ...
Unpacking libsfml-window2.5:amd64 (2.5.1+dfsg-1) ...
Selecting previously unselected package libsfml-graphics2.5:amd64.
Preparing to unpack .../094-libsfml-graphics2.5_2.5.1+dfsg-1_amd64.deb ...
Unpacking libsfml-graphics2.5:amd64 (2.5.1+dfsg-1) ...
Selecting previously unselected package libsfml-network2.5:amd64.
Preparing to unpack .../095-libsfml-network2.5_2.5.1+dfsg-1_amd64.deb ...
Unpacking libsfml-network2.5:amd64 (2.5.1+dfsg-1) ...
Selecting previously unselected package libsfml-dev:amd64.
Preparing to unpack .../096-libsfml-dev_2.5.1+dfsg-1_amd64.deb ...
Unpacking libsfml-dev:amd64 (2.5.1+dfsg-1) ...
Selecting previously unselected package libsigsegv2:amd64.
Preparing to unpack .../097-libsigsegv2_2.12-2_amd64.deb ...
Unpacking libsigsegv2:amd64 (2.12-2) ...
Selecting previously unselected package libxml2:amd64.
Preparing to unpack .../098-libxml2_2.9.4+dfsg1-7+b3_amd64.deb ...
Unpacking libxml2:amd64 (2.9.4+dfsg1-7+b3) ...
Selecting previously unselected package m4.
Preparing to unpack .../099-m4_1.4.18-2_amd64.deb ...
Unpacking m4 (1.4.18-2) ...
Selecting previously unselected package pkg-config.
Preparing to unpack .../100-pkg-config_0.29-6_amd64.deb ...
Unpacking pkg-config (0.29-6) ...
Selecting previously unselected package shared-mime-info.
Preparing to unpack .../101-shared-mime-info_1.10-1_amd64.deb ...
Unpacking shared-mime-info (1.10-1) ...
Selecting previously unselected package xdg-user-dirs.
Preparing to unpack .../102-xdg-user-dirs_0.17-2_amd64.deb ...
Unpacking xdg-user-dirs (0.17-2) ...
Setting up libxcb-dri3-0:amd64 (1.13.1-2) ...
Setting up libwayland-server0:amd64 (1.16.0-1) ...
Setting up libx11-xcb1:amd64 (2:1.6.7-1) ...
Setting up libpciaccess0:amd64 (0.14-1) ...
Setting up libx11-xcb-dev:amd64 (2:1.6.7-1) ...
Setting up libapparmor1:amd64 (2.13.2-10) ...
Setting up libxcb-xfixes0:amd64 (1.13.1-2) ...
Setting up libogg0:amd64 (1.3.2-1+b1) ...
Setting up libglvnd-core-dev:amd64 (1.1.0-1) ...
Setting up libxi6:amd64 (2:1.7.9-1) ...
Setting up libxrender1:amd64 (1:0.9.10-1) ...
Setting up xdg-user-dirs (0.17-2) ...
Setting up libxcb-render0:amd64 (1.13.1-2) ...
Setting up libglib2.0-0:amd64 (2.58.3-2) ...
No schema files found: doing nothing.
Setting up libglvnd0:amd64 (1.1.0-1) ...
Setting up libxcb-glx0:amd64 (1.13.1-2) ...
Setting up libxcb-shape0:amd64 (1.13.1-2) ...
Setting up x11-common (1:7.7+19) ...
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of start.
Setting up libsensors-config (1:3.5.0-3) ...
Setting up libxcb-dri3-dev:amd64 (1.13.1-2) ...
Setting up libicu63:amd64 (63.1-6) ...
Setting up libopengl0:amd64 (1.1.0-1) ...
Setting up libxxf86vm1:amd64 (1:1.1.4-1+b2) ...
Setting up libflac8:amd64 (1.3.2-3) ...
Setting up libxcb-present0:amd64 (1.13.1-2) ...
Setting up libasound2-data (1.1.8-1) ...
Setting up libglib2.0-data (2.58.3-2) ...
Setting up x11proto-damage-dev (1:2018.4-4) ...
Setting up libgles2:amd64 (1.1.0-1) ...
Setting up libwrap0:amd64 (7.6.q-28) ...
Setting up libxfixes3:amd64 (1:5.0.3-1) ...
Setting up libxcb-sync1:amd64 (1.13.1-2) ...
Setting up libgles1:amd64 (1.1.0-1) ...
Setting up libdbus-1-3:amd64 (1.12.16-1) ...
Setting up dbus (1.12.16-1) ...
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of start.
Setting up libsigsegv2:amd64 (2.12-2) ...
Setting up libpng16-16:amd64 (1.6.36-6) ...
Setting up libvorbis0a:amd64 (1.3.6-2) ...
Setting up libxrandr2:amd64 (2:1.5.1-1) ...
Setting up pkg-config (0.29-6) ...
Setting up libxcb-render0-dev:amd64 (1.13.1-2) ...
Setting up libxcb-glx0-dev:amd64 (1.13.1-2) ...
Setting up libsensors5:amd64 (1:3.5.0-3) ...
Setting up libsfml-system2.5:amd64 (2.5.1+dfsg-1) ...
Setting up libglapi-mesa:amd64 (18.3.6-2) ...
Setting up libxcb-shape0-dev:amd64 (1.13.1-2) ...
Setting up libxcb-dri2-0:amd64 (1.13.1-2) ...
Setting up x11proto-xf86vidmode-dev (2018.4-4) ...
Setting up x11proto-xext-dev (2018.4-4) ...
Setting up libasyncns0:amd64 (0.8-6) ...
Setting up libxshmfence1:amd64 (1.3-1) ...
Setting up libxcb-randr0:amd64 (1.13.1-2) ...
Setting up libasound2:amd64 (1.1.8-1) ...
Setting up libllvm7:amd64 (1:7.0.1-8) ...
Setting up libxcb-sync-dev:amd64 (1.13.1-2) ...
Setting up libopenal-data (1:1.19.1-1) ...
Setting up libxcb-xfixes0-dev:amd64 (1.13.1-2) ...
Setting up x11proto-fixes-dev (1:2018.4-4) ...
Setting up libdrm-common (2.4.97-1) ...
Setting up libxml2:amd64 (2.9.4+dfsg1-7+b3) ...
Setting up libvorbisenc2:amd64 (1.3.6-2) ...
Setting up libsfml-network2.5:amd64 (2.5.1+dfsg-1) ...
Setting up libwayland-client0:amd64 (1.16.0-1) ...
Setting up libice6:amd64 (2:1.0.9-2) ...
Setting up libxdamage1:amd64 (1:1.1.4-3+b3) ...
Setting up libxshmfence-dev:amd64 (1.3-1) ...
Setting up libxtst6:amd64 (2:1.2.3-1) ...
Setting up libxxf86vm-dev:amd64 (1:1.1.4-1+b2) ...
Setting up m4 (1.4.18-2) ...
Setting up libxfixes-dev:amd64 (1:5.0.3-1) ...
Setting up libvorbisfile3:amd64 (1.3.6-2) ...
Setting up libxcb-dri2-0-dev:amd64 (1.13.1-2) ...
Setting up libfreetype6:amd64 (2.9.1-3) ...
Setting up libxcb-randr0-dev:amd64 (1.13.1-2) ...
Setting up libxcb-present-dev:amd64 (1.13.1-2) ...
Setting up shared-mime-info (1.10-1) ...
Setting up libxext-dev:amd64 (2:1.3.3-1+b2) ...
Setting up libsndio7.0:amd64 (1.5.0-3) ...
Setting up libdrm2:amd64 (2.4.97-1) ...
Setting up libsndfile1:amd64 (1.0.28-6) ...
Setting up libsm6:amd64 (2:1.2.3-1) ...
Setting up libdrm-amdgpu1:amd64 (2.4.97-1) ...
Setting up libxdamage-dev:amd64 (1:1.1.4-3+b3) ...
Setting up libdrm-nouveau2:amd64 (2.4.97-1) ...
Setting up libgbm1:amd64 (18.3.6-2) ...
Setting up libpulse0:amd64 (12.2-4) ...
Setting up libdrm-radeon1:amd64 (2.4.97-1) ...
Setting up libdrm-intel1:amd64 (2.4.97-1) ...
Setting up libgl1-mesa-dri:amd64 (18.3.6-2) ...
Setting up libopenal1:amd64 (1:1.19.1-1) ...
Setting up libegl-mesa0:amd64 (18.3.6-2) ...
Setting up libsfml-audio2.5:amd64 (2.5.1+dfsg-1) ...
Setting up libegl1:amd64 (1.1.0-1) ...
Setting up libdrm-dev:amd64 (2.4.97-1) ...
Setting up libglx-mesa0:amd64 (18.3.6-2) ...
Setting up libglx0:amd64 (1.1.0-1) ...
Setting up libgl1:amd64 (1.1.0-1) ...
Setting up libsfml-window2.5:amd64 (2.5.1+dfsg-1) ...
Setting up mesa-common-dev:amd64 (18.3.6-2) ...
Setting up libsfml-graphics2.5:amd64 (2.5.1+dfsg-1) ...
Setting up libglvnd-dev:amd64 (1.1.0-1) ...
Setting up libgl1-mesa-dev:amd64 (18.3.6-2) ...
Setting up libsfml-dev:amd64 (2.5.1+dfsg-1) ...
Processing triggers for libc-bin (2.28-10) ...
# OS packages installation successful
# Now letting OPAM install the packages
The following actions will be performed:
  - install conf-pkg-config 1.1   [required by conf-sfml2]
  - install conf-m4         1     [required by ocamlfind]
  - install conf-sfml2      1     [required by ocaml-sfml]
  - install ocamlfind       1.8.1 [required by ocaml-sfml]
  - install ocaml-sfml      0.08*
===== 5 to install =====

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  4/5: [ocaml-sfml.0.08: http]
[ocaml-sfml.0.08] downloaded from https://github.com/fccm/ocaml-sfml/archive/v0.08.tar.gz
Processing  4/5:
Processing  5/5: [ocamlfind.1.8.1: http]
[ocamlfind.1.8.1] downloaded from http://download.camlcity.org/download/findlib-1.8.1.tar.gz
Processing  5/5:

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  1/10: [conf-m4: sh echo | m4]
Processing  2/10: [conf-m4: sh echo | m4] [conf-pkg-config: pkg-config]
+ /bin/sh "-exc" "echo | m4" (CWD=/home/opam/.opam/4.08/.opam-switch/build/conf-m4.1)
- + echo
- + m4
- 
- + echo
- + m4
- 
-> compiled  conf-m4.1
Processing  2/10: [conf-pkg-config: pkg-config]
-> installed conf-m4.1
Processing  3/10: [conf-pkg-config: pkg-config]
Processing  4/10: [conf-pkg-config: pkg-config] [ocamlfind: ./configure]
+ /usr/bin/pkg-config "--help" (CWD=/home/opam/.opam/4.08/.opam-switch/build/conf-pkg-config.1.1)
- Usage:
-   pkg-config [OPTION?]
- 
- Help Options:
-   -h, --help                              Show help options
- 
- Application Options:
-   --version                               output version of pkg-config
-   --modversion                            output version for package
-   --atleast-pkgconfig-version=VERSION     require given version of pkg-config
-   --libs                                  output all linker flags
-   --static                                output linker flags for static linking
-   --short-errors                          print short errors
-   --libs-only-l                           output -l flags
-   --libs-only-other                       output other libs (e.g. -pthread)
-   --libs-only-L                           output -L flags
-   --cflags                                output all pre-processor and compiler flags
-   --cflags-only-I                         output -I flags
-   --cflags-only-other                     output cflags not covered by the cflags-only-I option
-   --variable=NAME                         get the value of variable named NAME
-   --define-variable=NAME=VALUE            set variable NAME to VALUE
-   --exists                                return 0 if the module(s) exist
-   --print-variables                       output list of variables defined by the module
-   --uninstalled                           return 0 if the uninstalled version of one or more module(s) or their dependencies will be used
-   --atleast-version=VERSION               return 0 if the module is at least version VERSION
-   --exact-version=VERSION                 return 0 if the module is at exactly version VERSION
-   --max-version=VERSION                   return 0 if the module is at no newer than version VERSION
-   --list-all                              list all known packages
-   --debug                                 show verbose debug information
-   --print-errors                          show verbose information about missing or conflicting packages (default unless --exists or --atleast/exact/max-version given on the command line)
-   --silence-errors                        be silent about errors (default when --exists or --atleast/exact/max-version given on the command line)
-   --errors-to-stdout                      print errors from --print-errors to stdout not stderr
-   --print-provides                        print which packages the package provides
-   --print-requires                        print which packages the package requires
-   --print-requires-private                print which packages the package requires for static linking
-   --validate                              validate a package's .pc file
-   --define-prefix                         try to override the value of prefix for each .pc file found with a guesstimated value based on the location of the .pc file
-   --dont-define-prefix                    don't try to override the value of prefix for each .pc file found with a guesstimated value based on the location of the .pc file
-   --prefix-variable=PREFIX                set the name of the variable that pkg-config automatically sets
- 
- Usage:
-   pkg-config [OPTION?]
- 
- Help Options:
-   -h, --help                              Show help options
- 
- Application Options:
-   --version                               output version of pkg-config
-   --modversion                            output version for package
-   --atleast-pkgconfig-version=VERSION     require given version of pkg-config
-   --libs                                  output all linker flags
-   --static                                output linker flags for static linking
-   --short-errors                          print short errors
-   --libs-only-l                           output -l flags
-   --libs-only-other                       output other libs (e.g. -pthread)
-   --libs-only-L                           output -L flags
-   --cflags                                output all pre-processor and compiler flags
-   --cflags-only-I                         output -I flags
-   --cflags-only-other                     output cflags not covered by the cflags-only-I option
-   --variable=NAME                         get the value of variable named NAME
-   --define-variable=NAME=VALUE            set variable NAME to VALUE
-   --exists                                return 0 if the module(s) exist
-   --print-variables                       output list of variables defined by the module
-   --uninstalled                           return 0 if the uninstalled version of one or more module(s) or their dependencies will be used
-   --atleast-version=VERSION               return 0 if the module is at least version VERSION
-   --exact-version=VERSION                 return 0 if the module is at exactly version VERSION
-   --max-version=VERSION                   return 0 if the module is at no newer than version VERSION
-   --list-all                              list all known packages
-   --debug                                 show verbose debug information
-   --print-errors                          show verbose information about missing or conflicting packages (default unless --exists or --atleast/exact/max-version given on the command line)
-   --silence-errors                        be silent about errors (default when --exists or --atleast/exact/max-version given on the command line)
-   --errors-to-stdout                      print errors from --print-errors to stdout not stderr
-   --print-provides                        print which packages the package provides
-   --print-requires                        print which packages the package requires
-   --print-requires-private                print which packages the package requires for static linking
-   --validate                              validate a package's .pc file
-   --define-prefix                         try to override the value of prefix for each .pc file found with a guesstimated value based on the location of the .pc file
-   --dont-define-prefix                    don't try to override the value of prefix for each .pc file found with a guesstimated value based on the location of the .pc file
-   --prefix-variable=PREFIX                set the name of the variable that pkg-config automatically sets
- 
-> compiled  conf-pkg-config.1.1
Processing  4/10: [ocamlfind: ./configure]
-> installed conf-pkg-config.1.1
Processing  5/10: [ocamlfind: ./configure]
Processing  6/10: [conf-sfml2: pkg-config sfml-all] [ocamlfind: ./configure]
+ /usr/bin/pkg-config "sfml-all" (CWD=/home/opam/.opam/4.08/.opam-switch/build/conf-sfml2.1)
-> compiled  conf-sfml2.1
Processing  6/10: [ocamlfind: ./configure]
-> installed conf-sfml2.1
Processing  7/10: [ocamlfind: ./configure]
+ /home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1/./configure "-bindir" "/home/opam/.opam/4.08/bin" "-sitelib" "/home/opam/.opam/4.08/lib" "-mandir" "/home/opam/.opam/4.08/man" "-config" "/home/opam/.opam/4.08/lib/findlib.conf" "-no-custom" "-no-camlp4" (CWD=/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1)
- Welcome to findlib version 1.8.1
- Configuring core...
- Checking for #remove_directory...
- Testing threading model...
- systhread_supported: true
- Testing DLLs...
- Testing whether ppxopt can be supported...
- Checking for ocamlc -opaque...
- Configuring libraries...
- native dynlink: found
- labltk: not present
- ocamlbuild: not present
- camlp4: disabled
- compiler-libs: found
- dbm: not present (normal since OCaml-4.00)
- num: not present (normal since OCaml-4.06)
- bytes: found, installing fake library
- spacetime: found
- graphics: found
- Configuration for dynlink written to site-lib-src/dynlink/META
- Configuration for graphics written to site-lib-src/graphics/META
- Configuration for str written to site-lib-src/str/META
- Configuration for threads written to site-lib-src/threads/META
- Configuration for unix written to site-lib-src/unix/META
- Configuration for stdlib written to site-lib-src/stdlib/META
- Configuration for bigarray written to site-lib-src/bigarray/META
- Configuration for ocamldoc written to site-lib-src/ocamldoc/META
- Configuration for compiler-libs written to site-lib-src/compiler-libs/META
- Configuration for bytes written to site-lib-src/bytes/META
- Configuration for raw_spacetime written to site-lib-src/raw_spacetime/META
- Detecting compiler arguments: (extractor built) ok
- 
- About the OCAML core installation:
-     Standard library:      /home/opam/.opam/4.08/lib/ocaml
-     Binaries:              /home/opam/.opam/4.08/bin
-     Manual pages:          /home/opam/.opam/4.08/man
-     Multi-threading type:  posix
- The directory of site-specific packages will be
-     site-lib:              /home/opam/.opam/4.08/lib
- The configuration file is written to:
-     findlib config file:   /home/opam/.opam/4.08/lib/findlib.conf
- Software will be installed:
-     Libraries:             in <site-lib>/findlib
-     Binaries:              /home/opam/.opam/4.08/bin
-     Manual pages:          /home/opam/.opam/4.08/man
-     topfind script:        /home/opam/.opam/4.08/lib/ocaml
- Topfind ppxopt support:    yes
- Toolbox:                   no
- Link custom runtime:       no
- Need bytes compatibility:  no
- 
- Configuration has been written to Makefile.config
- 
- You can now do 'make all', and optionally 'make opt', to build ocamlfind.
Processing  7/10: [ocamlfind: make all]
+ /usr/bin/make "all" (CWD=/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1)
- for p in findlib; do ( cd src/$p; /usr/bin/make all ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1/src/findlib'
- ocamllex fl_meta.mll
- 22 states, 392 transitions, table size 1700 bytes
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib_config.mlp | \
-          ../../tools/patch '@CONFIGFILE@' '/home/opam/.opam/4.08/lib/findlib.conf' | \
-          ../../tools/patch '@STDLIB@' '/home/opam/.opam/4.08/lib/ocaml' | \
- 	sed -e 's;@AUTOLINK@;true;g' \
- 	    -e 's;@SYSTEM@;linux;g' \
- 	     >findlib_config.ml
- if [ "true" = "true" ]; then                 \
- 	cp topfind.ml.in topfind.ml;                             \
- else                                                             \
- 	sed -e '/PPXOPT_BEGIN/,/PPXOPT_END/ d' topfind.ml.in     \
- 		> topfind.ml ;                                   \
- fi
- ocamldep *.ml *.mli >depend
- ocamlc -I +compiler-libs -opaque -g -c findlib_config.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_split.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_metatoken.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_meta.ml
- ocamlc -I +compiler-libs -opaque -c fl_metascanner.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_metascanner.ml
- ocamlc -I +compiler-libs -opaque -c fl_topo.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_topo.ml
- ocamlc -I +compiler-libs -opaque -c fl_package_base.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_package_base.ml
- ocamlc -I +compiler-libs -opaque -c findlib.mli
- ocamlc -I +compiler-libs -opaque -g -c findlib.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_args.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_lint.ml
- ocamlc -I +compiler-libs -a -o findlib.cma findlib_config.cmo fl_split.cmo fl_metatoken.cmo fl_meta.cmo fl_metascanner.cmo fl_topo.cmo fl_package_base.cmo findlib.cmo fl_args.cmo fl_lint.cmo
- ocamlc -I +compiler-libs -opaque -g -c ocaml_args.ml
- ocamlc -I +compiler-libs -opaque -g -c frontend.ml
- File "frontend.ml", line 1826, characters 16-29:
- 1826 |       let buf = String.create buflen in   (* FIXME: Bytes.create *)
-                        ^^^^^^^^^^^^^
- Alert deprecated: Stdlib.String.create
- Use Bytes.create instead.
- ocamlc -I +compiler-libs  -o ocamlfind -g findlib.cma unix.cma \
-            ocaml_args.cmo frontend.cmo
- ocamlc -I +compiler-libs -opaque -c topfind.mli
- ocamlc -I +compiler-libs -opaque -g -c topfind.ml
- ocamlc -I +compiler-libs -a -o findlib_top.cma topfind.cmo
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat topfind_rd1.p | \
-          ../../tools/patch '@SITELIB@' '/home/opam/.opam/4.08/lib' \
-     	    >topfind
- ocamlc -I +compiler-libs -opaque -c fl_dynload.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_dynload.ml
- ocamlc -I +compiler-libs -a -o findlib_dynload.cma fl_dynload.cmo
- make[1]: Leaving directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1/src/findlib'
- /usr/bin/make all-config
- make[1]: Entering directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1'
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib.conf.in | \
-      tools/patch '@SITELIB@' '/home/opam/.opam/4.08/lib' >findlib.conf
- if ./tools/cmd_from_same_dir ocamlc; then \
- 	echo 'ocamlc="ocamlc.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamlopt; then \
- 	echo 'ocamlopt="ocamlopt.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldep; then \
- 	echo 'ocamldep="ocamldep.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldoc; then \
- 	echo 'ocamldoc="ocamldoc.opt"' >>findlib.conf; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1'
Processing  7/10: [ocamlfind: make opt]
+ /usr/bin/make "opt" (CWD=/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1)
- for p in findlib; do ( cd src/$p; /usr/bin/make opt ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1/src/findlib'
- ocamlopt -I +compiler-libs -g -opaque -c findlib_config.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_split.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_metatoken.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_meta.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_metascanner.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_topo.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_package_base.ml
- ocamlopt -I +compiler-libs -g -opaque -c findlib.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_args.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_lint.ml
- ocamlopt -I +compiler-libs -g -a -o findlib.cmxa findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib.cmxs findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque -c ocaml_args.ml
- ocamlopt -I +compiler-libs -g -opaque -c frontend.ml
- File "frontend.ml", line 1826, characters 16-29:
- 1826 |       let buf = String.create buflen in   (* FIXME: Bytes.create *)
-                        ^^^^^^^^^^^^^
- Alert deprecated: Stdlib.String.create
- Use Bytes.create instead.
- ocamlopt -I +compiler-libs -g -o ocamlfind_opt findlib.cmxa unix.cmxa \
- 	   ocaml_args.cmx frontend.cmx
- ocamlopt -I +compiler-libs -g -opaque -c topfind.ml
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Topdirs, and its interface was not compiled with -opaque
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Toploop, and its interface was not compiled with -opaque
- ocamlopt -I +compiler-libs -g -a -o findlib_top.cmxa topfind.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_top.cmxs topfind.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque -c fl_dynload.ml
- ocamlopt -I +compiler-libs -g -a -o findlib_dynload.cmxa fl_dynload.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_dynload.cmxs fl_dynload.cmx; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1/src/findlib'
-> compiled  ocamlfind.1.8.1
Processing  8/10: [ocamlfind: make install]
+ /usr/bin/make "install" (CWD=/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1)
- mkdir -p "/home/opam/.opam/4.08/bin"
- mkdir -p "/home/opam/.opam/4.08/man"
- /usr/bin/make install-config
- make[1]: Entering directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1'
- mkdir -p "`dirname \"/home/opam/.opam/4.08/lib/findlib.conf\"`"
- test -f "/home/opam/.opam/4.08/lib/findlib.conf" || cp findlib.conf "/home/opam/.opam/4.08/lib/findlib.conf"
- make[1]: Leaving directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1'
- for p in findlib; do ( cd src/$p; /usr/bin/make install ); done
- make[1]: Entering directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1/src/findlib'
- mkdir -p "/home/opam/.opam/4.08/lib/findlib"
- mkdir -p "/home/opam/.opam/4.08/bin"
- test 1 -eq 0 || cp topfind "/home/opam/.opam/4.08/lib/ocaml"
- files=` ../../tools/collect_files ../../Makefile.config findlib.cmi findlib.mli findlib.cma findlib.cmxa findlib.a findlib.cmxs topfind.cmi topfind.mli fl_package_base.mli fl_package_base.cmi fl_metascanner.mli fl_metascanner.cmi fl_metatoken.cmi findlib_top.cma findlib_top.cmxa findlib_top.a findlib_top.cmxs findlib_dynload.cma findlib_dynload.cmxa findlib_dynload.a findlib_dynload.cmxs fl_dynload.mli fl_dynload.cmi META` && \
- cp $files "/home/opam/.opam/4.08/lib/findlib"
- f="ocamlfind"; { test -f ocamlfind_opt && f="ocamlfind_opt"; }; \
- cp $f "/home/opam/.opam/4.08/bin/ocamlfind"
- # the following "if" block is only needed for 4.00beta2
- if [ 1 -eq 0 -a -f "/home/opam/.opam/4.08/lib/ocaml/compiler-libs/topdirs.cmi" ]; then \
-     cd "/home/opam/.opam/4.08/lib/ocaml/compiler-libs/"; \
-     cp topdirs.cmi toploop.cmi "/home/opam/.opam/4.08/lib/findlib/"; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1/src/findlib'
- /usr/bin/make install-meta
- make[1]: Entering directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1'
- for x in `ls site-lib-src`; do if [ -f "site-lib-src/$x/META" ]; then mkdir -p "/home/opam/.opam/4.08/lib/$x"; cp site-lib-src/$x/META "/home/opam/.opam/4.08/lib/$x"; fi; done
- make[1]: Leaving directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1'
- test -z "" || { cd src/findlib; /usr/bin/make install-num-top; }
- if [ 0 -eq 1 ]; then \
- 	cp tools/safe_camlp4 "/home/opam/.opam/4.08/bin"; \
- fi
- /usr/bin/make install-doc
- make[1]: Entering directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1'
- mkdir -p "/home/opam/.opam/4.08/man/man1" "/home/opam/.opam/4.08/man/man3" "/home/opam/.opam/4.08/man/man5"
- cp doc/ref-man/ocamlfind.1 "/home/opam/.opam/4.08/man/man1"
- cp doc/ref-man/META.5 doc/ref-man/site-lib.5 doc/ref-man/findlib.conf.5 "/home/opam/.opam/4.08/man/man5"
- make[1]: Leaving directory '/home/opam/.opam/4.08/.opam-switch/build/ocamlfind.1.8.1'
-> installed ocamlfind.1.8.1
Processing  9/10: [ocaml-sfml: make src]
+ /usr/bin/make "-C" "src" "cxx_all" (CWD=/home/opam/.opam/4.08/.opam-switch/build/ocaml-sfml.0.08)
- make: Entering directory '/home/opam/.opam/4.08/.opam-switch/build/ocaml-sfml.0.08/src'
- ocamldep SF*.ml SF*.mli oo_*.ml oo_*.mli > ml_depend.mk
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/sf_caml_conv.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/sf_conv_vectors.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFConfig_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFTime_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFClock_stub.cpp
- ocamlmklib -oc sfml_system_stubs \
-    sf_caml_conv.o  sf_conv_vectors.o  SFConfig_stub.o  SFTime_stub.o  SFClock_stub.o \
-   -L/usr/lib/ \
-   -lsfml-system
- ocaml doc_link.ml SFConfig.ml > SFConfig.mli
- ocamlc -g -i SFConfig.ml >> SFConfig.mli
- ocamlc -g -c -o SFConfig.cmi SFConfig.mli
- ocamlc -g -c -o SFConfig.cmo SFConfig.ml
- ocamlc -g -c -o SFTime.cmi SFTime.mli
- ocamlc -g -c -o SFTime.cmo SFTime.ml
- ocaml doc_link.ml SFClock.ml > SFClock.mli
- ocamlc -g -i SFClock.ml >> SFClock.mli
- ocamlc -g -c -o SFClock.cmi SFClock.mli
- ocamlc -g -c -o SFClock.cmo SFClock.ml
- :
- ocamlc -g -c -o SFPausableClock.cmi SFPausableClock.mli
- ocamlc -g -c -o SFPausableClock.cmo SFPausableClock.ml
- ocamlc -g -g -a -o sfml_system.cma \
-    SFConfig.cmo  SFTime.cmo  SFClock.cmo  SFPausableClock.cmo \
-   -dllib -lsfml_system_stubs \
-   -cclib -lsfml_system_stubs \
-   -ccopt "-L/usr/lib/" \
-   -cclib "-lsfml-system"
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/sf_context_settings.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/sf_conv_style.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFClipboard_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFCursor_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFKey_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFMouse_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFKeyboard_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFJoystick_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFEvent_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFWindow_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFContext_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFVideoMode_stub.cpp
- ocamlmklib -oc sfml_window_stubs \
-    sf_context_settings.o  sf_conv_style.o  SFClipboard_stub.o  SFCursor_stub.o  SFKey_stub.o  SFMouse_stub.o  SFKeyboard_stub.o  SFJoystick_stub.o  SFEvent_stub.o  SFWindow_stub.o  SFContext_stub.o  SFVideoMode_stub.o \
-   -L/usr/lib/ \
-   -lsfml-window
- ocaml doc_link.ml SFClipboard.ml > SFClipboard.mli
- ocamlc -g -i SFClipboard.ml >> SFClipboard.mli
- ocamlc -g -c -o SFClipboard.cmi SFClipboard.mli
- ocamlc -g -c -o SFClipboard.cmo SFClipboard.ml
- ocaml doc_link.ml SFCursor.ml > SFCursor.mli
- ocamlc -g -i SFCursor.ml >> SFCursor.mli
- ocamlc -g -c -o SFCursor.cmi SFCursor.mli
- ocamlc -g -c -o SFCursor.cmo SFCursor.ml
- ocaml doc_link.ml SFKey.ml > SFKey.mli
- ocamlc -g -i SFKey.ml >> SFKey.mli
- ocamlc -g -c -o SFKey.cmi SFKey.mli
- ocamlc -g -c -o SFKey.cmo SFKey.ml
- ocaml doc_link.ml SFMouse.ml > SFMouse.mli
- ocamlc -g -i SFMouse.ml >> SFMouse.mli
- ocamlc -g -c -o SFMouse.cmi SFMouse.mli
- ocamlc -g -c -o SFMouse.cmo SFMouse.ml
- ocaml doc_link.ml SFKeyboard.ml > SFKeyboard.mli
- ocamlc -g -i SFKeyboard.ml >> SFKeyboard.mli
- ocamlc -g -c -o SFKeyboard.cmi SFKeyboard.mli
- ocamlc -g -c -o SFKeyboard.cmo SFKeyboard.ml
- ocaml doc_link.ml SFJoystick.ml > SFJoystick.mli
- ocamlc -g -i SFJoystick.ml >> SFJoystick.mli
- ocamlc -g -c -o SFJoystick.cmi SFJoystick.mli
- ocamlc -g -c -o SFJoystick.cmo SFJoystick.ml
- ocamlc -g -c -o SFSensor.cmi SFSensor.mli
- :
- ocamlc -g -c -o SFEvent.cmi SFEvent.mli
- ocamlc -g -c -o SFEvent.cmo SFEvent.ml
- ocaml doc_link.ml SFVideoMode.ml > SFVideoMode.mli
- ocamlc -g -i SFVideoMode.ml >> SFVideoMode.mli
- ocamlc -g -c -o SFVideoMode.cmi SFVideoMode.mli
- ocamlc -g -c -o SFVideoMode.cmo SFVideoMode.ml
- ocaml doc_link.ml SFStyle.ml > SFStyle.mli
- ocamlc -g -i SFStyle.ml >> SFStyle.mli
- ocamlc -g -c -o SFStyle.cmi SFStyle.mli
- ocamlc -g -c -o SFStyle.cmo SFStyle.ml
- ocaml doc_link.ml SFContextSettings.ml > SFContextSettings.mli
- ocamlc -g -i SFContextSettings.ml >> SFContextSettings.mli
- ocamlc -g -c -o SFContextSettings.cmi SFContextSettings.mli
- ocamlc -g -c -o SFContextSettings.cmo SFContextSettings.ml
- ocaml doc_link.ml SFRect.ml > SFRect.mli
- ocamlc -g -i SFRect.ml >> SFRect.mli
- ocamlc -g -c -o SFRect.cmi SFRect.mli
- ocaml doc_link.ml SFView.ml > SFView.mli
- ocamlc -g -i SFView.ml >> SFView.mli
- ocamlc -g -c -o SFView.cmi SFView.mli
- ocaml doc_link.ml SFColor.ml > SFColor.mli
- ocamlc -g -i SFColor.ml >> SFColor.mli
- ocamlc -g -c -o SFColor.cmi SFColor.mli
- ocaml doc_link.ml SFWindow.ml > SFWindow.mli
- ocamlc -g -i SFWindow.ml >> SFWindow.mli
- ocamlc -g -c -o SFWindow.cmi SFWindow.mli
- ocamlc -g -c -o SFWindow.cmo SFWindow.ml
- ocaml doc_link.ml SFContext.ml > SFContext.mli
- ocamlc -g -i SFContext.ml >> SFContext.mli
- ocamlc -g -c -o SFContext.cmi SFContext.mli
- ocamlc -g -c -o SFContext.cmo SFContext.ml
- ocamlc -g -g -a -o sfml_window.cma \
-    SFClipboard.cmo  SFCursor.cmo  SFKey.cmo  SFMouse.cmo  SFKeyboard.cmo  SFJoystick.cmo  SFEvent.cmo  SFVideoMode.cmo  SFStyle.cmo  SFContextSettings.cmo  SFWindow.cmo  SFContext.cmo \
-   -dllib -lsfml_window_stubs \
-   -cclib -lsfml_window_stubs \
-   -ccopt "-L/usr/lib/" \
-   -cclib "-lsfml-window"
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFColor_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFRect_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFBlendMode_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFImage_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFTexture_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFFont_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFText_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFShape_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFCircleShape_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFRectangleShape_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFSprite_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFShader_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFTransform_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFView_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFRenderStates_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFRenderWindow_stub.cpp
- ocamlmklib -oc sfml_graphics_stubs \
-    SFColor_stub.o  SFRect_stub.o  SFBlendMode_stub.o  SFImage_stub.o  SFTexture_stub.o  SFFont_stub.o  SFText_stub.o  SFShape_stub.o  SFCircleShape_stub.o  SFRectangleShape_stub.o  SFSprite_stub.o  SFShader_stub.o  SFTransform_stub.o  SFView_stub.o  SFRenderStates_stub.o  SFRenderWindow_stub.o \
-   -L/usr/lib/ \
-   -lsfml-graphics
- ocamlc -g -c -o SFColor.cmo SFColor.ml
- ocamlc -g -c -o SFRect.cmo SFRect.ml
- ocamlc -g -c -o SFBlendMode.cmi SFBlendMode.mli
- ocamlc -g -c -o SFBlendMode.cmo SFBlendMode.ml
- ocamlc -g -c -o SFImage.cmi SFImage.mli
- ocamlc -g -c -o SFImage.cmo SFImage.ml
- ocaml doc_link.ml SFTexture.ml > SFTexture.mli
- ocamlc -g -i SFTexture.ml >> SFTexture.mli
- ocamlc -g -c -o SFTexture.cmi SFTexture.mli
- ocamlc -g -c -o SFTexture.cmo SFTexture.ml
- ocamlc -g -c -o SFFont.cmi SFFont.mli
- ocamlc -g -c -o SFFont.cmo SFFont.ml
- File "SFFont.ml", line 32, characters 0-51:
- 32 | external getInfo: u -> info = "caml_sfFont_getInfo"
-      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 61: This primitive declaration uses type info, which is unannotated and
- unboxable. The representation of such types may change in future
- versions. You should annotate the declaration of info with [@@boxed]
- or [@@unboxed].
- ocamlc -g -c -o SFText.cmi SFText.mli
- ocamlc -g -c -o SFText.cmo SFText.ml
- ocamlc -g -c -o SFCircleShape.cmi SFCircleShape.mli
- ocamlc -g -c -o SFRectangleShape.cmi SFRectangleShape.mli
- :
- ocamlc -g -c -o SFShape.cmi SFShape.mli
- ocamlc -g -c -o SFShape.cmo SFShape.ml
- ocamlc -g -c -o SFCircleShape.cmo SFCircleShape.ml
- ocamlc -g -c -o SFRectangleShape.cmo SFRectangleShape.ml
- ocamlc -g -c -o SFSprite.cmi SFSprite.mli
- ocamlc -g -c -o SFSprite.cmo SFSprite.ml
- ocaml doc_link.ml SFShader.ml > SFShader.mli
- ocamlc -g -i SFShader.ml >> SFShader.mli
- ocamlc -g -c -o SFShader.cmi SFShader.mli
- ocamlc -g -c -o SFShader.cmo SFShader.ml
- ocaml doc_link.ml SFTransform.ml > SFTransform.mli
- ocamlc -g -i SFTransform.ml >> SFTransform.mli
- ocamlc -g -c -o SFTransform.cmi SFTransform.mli
- ocamlc -g -c -o SFTransform.cmo SFTransform.ml
- ocamlc -g -c -o SFView.cmo SFView.ml
- ocamlc -g -c -o SFRenderStates.cmi SFRenderStates.mli
- ocamlc -g -c -o SFRenderStates.cmo SFRenderStates.ml
- ocaml doc_link.ml SFRenderWindow.ml > SFRenderWindow.mli
- ocamlc -g -i SFRenderWindow.ml >> SFRenderWindow.mli
- ocamlc -g -c -o SFRenderWindow.cmi SFRenderWindow.mli
- ocamlc -g -c -o SFRenderWindow.cmo SFRenderWindow.ml
- ocamlc -g -g -a -o sfml_graphics.cma \
-    SFColor.cmo  SFRect.cmo  SFBlendMode.cmo  SFImage.cmo  SFTexture.cmo  SFFont.cmo  SFText.cmo  SFShape.cmo  SFCircleShape.cmo  SFRectangleShape.cmo  SFSprite.cmo  SFShader.cmo  SFTransform.cmo  SFView.cmo  SFRenderStates.cmo  SFRenderWindow.cmo \
-   -dllib -lsfml_graphics_stubs \
-   -cclib -lsfml_graphics_stubs \
-   -ccopt "-L/usr/lib/" \
-   -cclib "-lsfml-graphics"
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFMusic_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFSoundBuffer_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFSound_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFListener_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFSoundBufferRecorder_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFSoundRecorder_stub.cpp
- ocamlmklib -oc sfml_audio_stubs \
-    SFMusic_stub.o  SFSoundBuffer_stub.o  SFSound_stub.o  SFListener_stub.o  SFSoundBufferRecorder_stub.o  SFSoundRecorder_stub.o \
-   -L/usr/lib/ \
-   -lsfml-audio
- ocaml doc_link.ml SFMusic.ml > SFMusic.mli
- ocamlc -g -i SFMusic.ml >> SFMusic.mli
- ocamlc -g -c -o SFMusic.cmi SFMusic.mli
- ocamlc -g -c -o SFMusic.cmo SFMusic.ml
- ocamlc -g -c -o SFSoundBuffer.cmi SFSoundBuffer.mli
- ocamlc -g -c -o SFSoundBuffer.cmo SFSoundBuffer.ml
- ocamlc -g -c -o SFSound.cmi SFSound.mli
- ocamlc -g -c -o SFSound.cmo SFSound.ml
- ocaml doc_link.ml SFListener.ml > SFListener.mli
- ocamlc -g -i SFListener.ml >> SFListener.mli
- ocamlc -g -c -o SFListener.cmi SFListener.mli
- ocamlc -g -c -o SFListener.cmo SFListener.ml
- ocamlc -g -c -o SFSoundBufferRecorder.cmi SFSoundBufferRecorder.mli
- ocamlc -g -c -o SFSoundBufferRecorder.cmo SFSoundBufferRecorder.ml
- ocaml doc_link.ml SFSoundRecorder.ml > SFSoundRecorder.mli
- ocamlc -g -i SFSoundRecorder.ml >> SFSoundRecorder.mli
- ocamlc -g -c -o SFSoundRecorder.cmi SFSoundRecorder.mli
- ocamlc -g -c -o SFSoundRecorder.cmo SFSoundRecorder.ml
- ocamlc -g -g -a -o sfml_audio.cma \
-    SFMusic.cmo  SFSoundBuffer.cmo  SFSound.cmo  SFListener.cmo  SFSoundBufferRecorder.cmo  SFSoundRecorder.cmo \
-   -dllib -lsfml_audio_stubs \
-   -cclib -lsfml_audio_stubs \
-   -ccopt "-L/usr/lib/" \
-   -cclib "-lsfml-audio"
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFHttp_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFFtp_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFIpAddress_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFPacket_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFUdpSocket_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFTcpSocket_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFTcpListener_stub.cpp
- g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFSocketSelector_stub.cpp
- ocamlmklib -oc sfml_network_stubs \
-    SFHttp_stub.o  SFFtp_stub.o  SFIpAddress_stub.o  SFPacket_stub.o  SFUdpSocket_stub.o  SFTcpSocket_stub.o  SFTcpListener_stub.o  SFSocketSelector_stub.o \
-   -L/usr/lib/ \
-   -lsfml-network
- ocaml doc_link.ml SFHttp.ml > SFHttp.mli
- ocamlc -g -i SFHttp.ml >> SFHttp.mli
- ocamlc -g -c -o SFHttp.cmi SFHttp.mli
- ocamlc -g -c -o SFHttp.cmo SFHttp.ml
- ocaml doc_link.ml SFIpAddress.ml > SFIpAddress.mli
- ocamlc -g -i SFIpAddress.ml >> SFIpAddress.mli
- ocamlc -g -c -o SFIpAddress.cmi SFIpAddress.mli
- ocaml doc_link.ml SFFtp.ml > SFFtp.mli
- ocamlc -g -i SFFtp.ml >> SFFtp.mli
- ocamlc -g -c -o SFFtp.cmi SFFtp.mli
- ocamlc -g -c -o SFIpAddress.cmo SFIpAddress.ml
- ocamlc -g -c -o SFFtp.cmo SFFtp.ml
- ocamlc -g -c -o SFPacket.cmi SFPacket.mli
- ocamlc -g -c -o SFPacket.cmo SFPacket.ml
- ocaml doc_link.ml SFUdpSocket.ml > SFUdpSocket.mli
- ocamlc -g -i SFUdpSocket.ml >> SFUdpSocket.mli
- ocamlc -g -c -o SFUdpSocket.cmi SFUdpSocket.mli
- ocamlc -g -c -o SFUdpSocket.cmo SFUdpSocket.ml
- ocaml doc_link.ml SFTcpSocket.ml > SFTcpSocket.mli
- ocamlc -g -i SFTcpSocket.ml >> SFTcpSocket.mli
- ocamlc -g -c -o SFTcpSocket.cmi SFTcpSocket.mli
- ocamlc -g -c -o SFTcpSocket.cmo SFTcpSocket.ml
- ocaml doc_link.ml SFTcpListener.ml > SFTcpListener.mli
- ocamlc -g -i SFTcpListener.ml >> SFTcpListener.mli
- ocamlc -g -c -o SFTcpListener.cmi SFTcpListener.mli
- ocamlc -g -c -o SFTcpListener.cmo SFTcpListener.ml
- ocaml doc_link.ml SFSocketSelector.ml > SFSocketSelector.mli
- ocamlc -g -i SFSocketSelector.ml >> SFSocketSelector.mli
- ocamlc -g -c -o SFSocketSelector.cmi SFSocketSelector.mli
- ocamlc -g -c -o SFSocketSelector.cmo SFSocketSelector.ml
- ocamlc -g -g -a -o sfml_network.cma \
-    SFHttp.cmo  SFFtp.cmo  SFIpAddress.cmo  SFPacket.cmo  SFUdpSocket.cmo  SFTcpSocket.cmo  SFTcpListener.cmo  SFSocketSelector.cmo \
-   -dllib -lsfml_network_stubs \
-   -cclib -lsfml_network_stubs \
-   -ccopt "-L/usr/lib/" \
-   -cclib "-lsfml-network"
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFConfig.cmx SFConfig.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFTime.cmx SFTime.ml
[ERROR] The compilation of ocaml-sfml failed at "/usr/bin/make -C src cxx_all".
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFClock.cmx SFClock.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFPausableClock.cmx SFPausableClock.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -a -o sfml_system.cmxa \
-    SFConfig.cmx  SFTime.cmx  SFClock.cmx  SFPausableClock.cmx \
-   -cclib -lsfml_system_stubs \
-   -ccopt "-L/usr/lib/" \
-   -cclib "-lsfml-system"
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFClipboard.cmx SFClipboard.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFCursor.cmx SFCursor.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFKey.cmx SFKey.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFMouse.cmx SFMouse.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFKeyboard.cmx SFKeyboard.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFJoystick.cmx SFJoystick.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFEvent.cmx SFEvent.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFVideoMode.cmx SFVideoMode.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFStyle.cmx SFStyle.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFContextSettings.cmx SFContextSettings.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFWindow.cmx SFWindow.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFContext.cmx SFContext.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -a -o sfml_window.cmxa \
-    SFClipboard.cmx  SFCursor.cmx  SFKey.cmx  SFMouse.cmx  SFKeyboard.cmx  SFJoystick.cmx  SFEvent.cmx  SFVideoMode.cmx  SFStyle.cmx  SFContextSettings.cmx  SFWindow.cmx  SFContext.cmx \
-   -cclib -lsfml_window_stubs \
-   -ccopt "-L/usr/lib/" \
-   -cclib "-lsfml-window"
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFColor.cmx SFColor.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFRect.cmx SFRect.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFBlendMode.cmx SFBlendMode.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFImage.cmx SFImage.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFTexture.cmx SFTexture.ml
- ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFFont.cmx SFFont.ml
- File "SFFont.ml", line 32, characters 0-51:
- 32 | external getInfo: u -> info = "caml_sfFont_getInfo"
-      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
- Error (warning 61): This primitive declaration uses type info, which is unannotated and
- unboxable. The representation of such types may change in future
- versions. You should annotate the declaration of info with [@@boxed]
- or [@@unboxed].
- make: *** [Makefile:170: SFFont.cmx] Error 2
- make: Leaving directory '/home/opam/.opam/4.08/.opam-switch/build/ocaml-sfml.0.08/src'

#=== ERROR while compiling ocaml-sfml.0.08 ====================================#
# context              2.0.5 | linux/x86_64 | ocaml-base-compiler.4.08.1 | pinned(https://github.com/fccm/ocaml-sfml/archive/v0.08.tar.gz)
# path                 ~/.opam/4.08/.opam-switch/build/ocaml-sfml.0.08
# command              /usr/bin/make -C src cxx_all
# exit-code            2
# env-file             ~/.opam/log/ocaml-sfml-15-ece7a3.env
# output-file          ~/.opam/log/ocaml-sfml-15-ece7a3.out
### output ###
# make: Entering directory '/home/opam/.opam/4.08/.opam-switch/build/ocaml-sfml.0.08/src'
# ocamldep SF*.ml SF*.mli oo_*.ml oo_*.mli > ml_depend.mk
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/sf_caml_conv.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/sf_conv_vectors.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFConfig_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFTime_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFClock_stub.cpp
# ocamlmklib -oc sfml_system_stubs \
#    sf_caml_conv.o  sf_conv_vectors.o  SFConfig_stub.o  SFTime_stub.o  SFClock_stub.o \
#   -L/usr/lib/ \
#   -lsfml-system
# ocaml doc_link.ml SFConfig.ml > SFConfig.mli
# ocamlc -g -i SFConfig.ml >> SFConfig.mli
# ocamlc -g -c -o SFConfig.cmi SFConfig.mli
# ocamlc -g -c -o SFConfig.cmo SFConfig.ml
# ocamlc -g -c -o SFTime.cmi SFTime.mli
# ocamlc -g -c -o SFTime.cmo SFTime.ml
# ocaml doc_link.ml SFClock.ml > SFClock.mli
# ocamlc -g -i SFClock.ml >> SFClock.mli
# ocamlc -g -c -o SFClock.cmi SFClock.mli
# ocamlc -g -c -o SFClock.cmo SFClock.ml
# :
# ocamlc -g -c -o SFPausableClock.cmi SFPausableClock.mli
# ocamlc -g -c -o SFPausableClock.cmo SFPausableClock.ml
# ocamlc -g -g -a -o sfml_system.cma \
#    SFConfig.cmo  SFTime.cmo  SFClock.cmo  SFPausableClock.cmo \
#   -dllib -lsfml_system_stubs \
#   -cclib -lsfml_system_stubs \
#   -ccopt "-L/usr/lib/" \
#   -cclib "-lsfml-system"
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/sf_context_settings.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/sf_conv_style.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFClipboard_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFCursor_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFKey_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFMouse_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFKeyboard_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFJoystick_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFEvent_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFWindow_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFContext_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFVideoMode_stub.cpp
# ocamlmklib -oc sfml_window_stubs \
#    sf_context_settings.o  sf_conv_style.o  SFClipboard_stub.o  SFCursor_stub.o  SFKey_stub.o  SFMouse_stub.o  SFKeyboard_stub.o  SFJoystick_stub.o  SFEvent_stub.o  SFWindow_stub.o  SFContext_stub.o  SFVideoMode_stub.o \
#   -L/usr/lib/ \
#   -lsfml-window
# ocaml doc_link.ml SFClipboard.ml > SFClipboard.mli
# ocamlc -g -i SFClipboard.ml >> SFClipboard.mli
# ocamlc -g -c -o SFClipboard.cmi SFClipboard.mli
# ocamlc -g -c -o SFClipboard.cmo SFClipboard.ml
# ocaml doc_link.ml SFCursor.ml > SFCursor.mli
# ocamlc -g -i SFCursor.ml >> SFCursor.mli
# ocamlc -g -c -o SFCursor.cmi SFCursor.mli
# ocamlc -g -c -o SFCursor.cmo SFCursor.ml
# ocaml doc_link.ml SFKey.ml > SFKey.mli
# ocamlc -g -i SFKey.ml >> SFKey.mli
# ocamlc -g -c -o SFKey.cmi SFKey.mli
# ocamlc -g -c -o SFKey.cmo SFKey.ml
# ocaml doc_link.ml SFMouse.ml > SFMouse.mli
# ocamlc -g -i SFMouse.ml >> SFMouse.mli
# ocamlc -g -c -o SFMouse.cmi SFMouse.mli
# ocamlc -g -c -o SFMouse.cmo SFMouse.ml
# ocaml doc_link.ml SFKeyboard.ml > SFKeyboard.mli
# ocamlc -g -i SFKeyboard.ml >> SFKeyboard.mli
# ocamlc -g -c -o SFKeyboard.cmi SFKeyboard.mli
# ocamlc -g -c -o SFKeyboard.cmo SFKeyboard.ml
# ocaml doc_link.ml SFJoystick.ml > SFJoystick.mli
# ocamlc -g -i SFJoystick.ml >> SFJoystick.mli
# ocamlc -g -c -o SFJoystick.cmi SFJoystick.mli
# ocamlc -g -c -o SFJoystick.cmo SFJoystick.ml
# ocamlc -g -c -o SFSensor.cmi SFSensor.mli
# :
# ocamlc -g -c -o SFEvent.cmi SFEvent.mli
# ocamlc -g -c -o SFEvent.cmo SFEvent.ml
# ocaml doc_link.ml SFVideoMode.ml > SFVideoMode.mli
# ocamlc -g -i SFVideoMode.ml >> SFVideoMode.mli
# ocamlc -g -c -o SFVideoMode.cmi SFVideoMode.mli
# ocamlc -g -c -o SFVideoMode.cmo SFVideoMode.ml
# ocaml doc_link.ml SFStyle.ml > SFStyle.mli
# ocamlc -g -i SFStyle.ml >> SFStyle.mli
# ocamlc -g -c -o SFStyle.cmi SFStyle.mli
# ocamlc -g -c -o SFStyle.cmo SFStyle.ml
# ocaml doc_link.ml SFContextSettings.ml > SFContextSettings.mli
# ocamlc -g -i SFContextSettings.ml >> SFContextSettings.mli
# ocamlc -g -c -o SFContextSettings.cmi SFContextSettings.mli
# ocamlc -g -c -o SFContextSettings.cmo SFContextSettings.ml
# ocaml doc_link.ml SFRect.ml > SFRect.mli
# ocamlc -g -i SFRect.ml >> SFRect.mli
# ocamlc -g -c -o SFRect.cmi SFRect.mli
# ocaml doc_link.ml SFView.ml > SFView.mli
# ocamlc -g -i SFView.ml >> SFView.mli
# ocamlc -g -c -o SFView.cmi SFView.mli
# ocaml doc_link.ml SFColor.ml > SFColor.mli
# ocamlc -g -i SFColor.ml >> SFColor.mli
# ocamlc -g -c -o SFColor.cmi SFColor.mli
# ocaml doc_link.ml SFWindow.ml > SFWindow.mli
# ocamlc -g -i SFWindow.ml >> SFWindow.mli
# ocamlc -g -c -o SFWindow.cmi SFWindow.mli
# ocamlc -g -c -o SFWindow.cmo SFWindow.ml
# ocaml doc_link.ml SFContext.ml > SFContext.mli
# ocamlc -g -i SFContext.ml >> SFContext.mli
# ocamlc -g -c -o SFContext.cmi SFContext.mli
# ocamlc -g -c -o SFContext.cmo SFContext.ml
# ocamlc -g -g -a -o sfml_window.cma \
#    SFClipboard.cmo  SFCursor.cmo  SFKey.cmo  SFMouse.cmo  SFKeyboard.cmo  SFJoystick.cmo  SFEvent.cmo  SFVideoMode.cmo  SFStyle.cmo  SFContextSettings.cmo  SFWindow.cmo  SFContext.cmo \
#   -dllib -lsfml_window_stubs \
#   -cclib -lsfml_window_stubs \
#   -ccopt "-L/usr/lib/" \
#   -cclib "-lsfml-window"
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFColor_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFRect_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFBlendMode_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFImage_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFTexture_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFFont_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFText_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFShape_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFCircleShape_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFRectangleShape_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFSprite_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFShader_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFTransform_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFView_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFRenderStates_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFRenderWindow_stub.cpp
# ocamlmklib -oc sfml_graphics_stubs \
#    SFColor_stub.o  SFRect_stub.o  SFBlendMode_stub.o  SFImage_stub.o  SFTexture_stub.o  SFFont_stub.o  SFText_stub.o  SFShape_stub.o  SFCircleShape_stub.o  SFRectangleShape_stub.o  SFSprite_stub.o  SFShader_stub.o  SFTransform_stub.o  SFView_stub.o  SFRenderStates_stub.o  SFRenderWindow_stub.o \
#   -L/usr/lib/ \
#   -lsfml-graphics
# ocamlc -g -c -o SFColor.cmo SFColor.ml
# ocamlc -g -c -o SFRect.cmo SFRect.ml
# ocamlc -g -c -o SFBlendMode.cmi SFBlendMode.mli
# ocamlc -g -c -o SFBlendMode.cmo SFBlendMode.ml
# ocamlc -g -c -o SFImage.cmi SFImage.mli
# ocamlc -g -c -o SFImage.cmo SFImage.ml
# ocaml doc_link.ml SFTexture.ml > SFTexture.mli
# ocamlc -g -i SFTexture.ml >> SFTexture.mli
# ocamlc -g -c -o SFTexture.cmi SFTexture.mli
# ocamlc -g -c -o SFTexture.cmo SFTexture.ml
# ocamlc -g -c -o SFFont.cmi SFFont.mli
# ocamlc -g -c -o SFFont.cmo SFFont.ml
# File "SFFont.ml", line 32, characters 0-51:
# 32 | external getInfo: u -> info = "caml_sfFont_getInfo"
#      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
# Warning 61: This primitive declaration uses type info, which is unannotated and
# unboxable. The representation of such types may change in future
# versions. You should annotate the declaration of info with [@@boxed]
# or [@@unboxed].
# ocamlc -g -c -o SFText.cmi SFText.mli
# ocamlc -g -c -o SFText.cmo SFText.ml
# ocamlc -g -c -o SFCircleShape.cmi SFCircleShape.mli
# ocamlc -g -c -o SFRectangleShape.cmi SFRectangleShape.mli
# :
# ocamlc -g -c -o SFShape.cmi SFShape.mli
# ocamlc -g -c -o SFShape.cmo SFShape.ml
# ocamlc -g -c -o SFCircleShape.cmo SFCircleShape.ml
# ocamlc -g -c -o SFRectangleShape.cmo SFRectangleShape.ml
# ocamlc -g -c -o SFSprite.cmi SFSprite.mli
# ocamlc -g -c -o SFSprite.cmo SFSprite.ml
# ocaml doc_link.ml SFShader.ml > SFShader.mli
# ocamlc -g -i SFShader.ml >> SFShader.mli
# ocamlc -g -c -o SFShader.cmi SFShader.mli
# ocamlc -g -c -o SFShader.cmo SFShader.ml
# ocaml doc_link.ml SFTransform.ml > SFTransform.mli
# ocamlc -g -i SFTransform.ml >> SFTransform.mli
# ocamlc -g -c -o SFTransform.cmi SFTransform.mli
# ocamlc -g -c -o SFTransform.cmo SFTransform.ml
# ocamlc -g -c -o SFView.cmo SFView.ml
# ocamlc -g -c -o SFRenderStates.cmi SFRenderStates.mli
# ocamlc -g -c -o SFRenderStates.cmo SFRenderStates.ml
# ocaml doc_link.ml SFRenderWindow.ml > SFRenderWindow.mli
# ocamlc -g -i SFRenderWindow.ml >> SFRenderWindow.mli
# ocamlc -g -c -o SFRenderWindow.cmi SFRenderWindow.mli
# ocamlc -g -c -o SFRenderWindow.cmo SFRenderWindow.ml
# ocamlc -g -g -a -o sfml_graphics.cma \
#    SFColor.cmo  SFRect.cmo  SFBlendMode.cmo  SFImage.cmo  SFTexture.cmo  SFFont.cmo  SFText.cmo  SFShape.cmo  SFCircleShape.cmo  SFRectangleShape.cmo  SFSprite.cmo  SFShader.cmo  SFTransform.cmo  SFView.cmo  SFRenderStates.cmo  SFRenderWindow.cmo \
#   -dllib -lsfml_graphics_stubs \
#   -cclib -lsfml_graphics_stubs \
#   -ccopt "-L/usr/lib/" \
#   -cclib "-lsfml-graphics"
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFMusic_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFSoundBuffer_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFSound_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFListener_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFSoundBufferRecorder_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFSoundRecorder_stub.cpp
# ocamlmklib -oc sfml_audio_stubs \
#    SFMusic_stub.o  SFSoundBuffer_stub.o  SFSound_stub.o  SFListener_stub.o  SFSoundBufferRecorder_stub.o  SFSoundRecorder_stub.o \
#   -L/usr/lib/ \
#   -lsfml-audio
# ocaml doc_link.ml SFMusic.ml > SFMusic.mli
# ocamlc -g -i SFMusic.ml >> SFMusic.mli
# ocamlc -g -c -o SFMusic.cmi SFMusic.mli
# ocamlc -g -c -o SFMusic.cmo SFMusic.ml
# ocamlc -g -c -o SFSoundBuffer.cmi SFSoundBuffer.mli
# ocamlc -g -c -o SFSoundBuffer.cmo SFSoundBuffer.ml
# ocamlc -g -c -o SFSound.cmi SFSound.mli
# ocamlc -g -c -o SFSound.cmo SFSound.ml
# ocaml doc_link.ml SFListener.ml > SFListener.mli
# ocamlc -g -i SFListener.ml >> SFListener.mli
# ocamlc -g -c -o SFListener.cmi SFListener.mli
# ocamlc -g -c -o SFListener.cmo SFListener.ml
# ocamlc -g -c -o SFSoundBufferRecorder.cmi SFSoundBufferRecorder.mli
# ocamlc -g -c -o SFSoundBufferRecorder.cmo SFSoundBufferRecorder.ml
# ocaml doc_link.ml SFSoundRecorder.ml > SFSoundRecorder.mli
# ocamlc -g -i SFSoundRecorder.ml >> SFSoundRecorder.mli
# ocamlc -g -c -o SFSoundRecorder.cmi SFSoundRecorder.mli
# ocamlc -g -c -o SFSoundRecorder.cmo SFSoundRecorder.ml
# ocamlc -g -g -a -o sfml_audio.cma \
#    SFMusic.cmo  SFSoundBuffer.cmo  SFSound.cmo  SFListener.cmo  SFSoundBufferRecorder.cmo  SFSoundRecorder.cmo \
#   -dllib -lsfml_audio_stubs \
#   -cclib -lsfml_audio_stubs \
#   -ccopt "-L/usr/lib/" \
#   -cclib "-lsfml-audio"
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFHttp_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFFtp_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFIpAddress_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFPacket_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFUdpSocket_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFTcpSocket_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFTcpListener_stub.cpp
# g++ -g -Wall -Werror -Wno-deprecated-declarations -fPIC -c -I/home/opam/.opam/4.08/lib/ocaml -I/usr/include/ ./cxx_stubs/SFSocketSelector_stub.cpp
# ocamlmklib -oc sfml_network_stubs \
#    SFHttp_stub.o  SFFtp_stub.o  SFIpAddress_stub.o  SFPacket_stub.o  SFUdpSocket_stub.o  SFTcpSocket_stub.o  SFTcpListener_stub.o  SFSocketSelector_stub.o \
#   -L/usr/lib/ \
#   -lsfml-network
# ocaml doc_link.ml SFHttp.ml > SFHttp.mli
# ocamlc -g -i SFHttp.ml >> SFHttp.mli
# ocamlc -g -c -o SFHttp.cmi SFHttp.mli
# ocamlc -g -c -o SFHttp.cmo SFHttp.ml
# ocaml doc_link.ml SFIpAddress.ml > SFIpAddress.mli
# ocamlc -g -i SFIpAddress.ml >> SFIpAddress.mli
# ocamlc -g -c -o SFIpAddress.cmi SFIpAddress.mli
# ocaml doc_link.ml SFFtp.ml > SFFtp.mli
# ocamlc -g -i SFFtp.ml >> SFFtp.mli
# ocamlc -g -c -o SFFtp.cmi SFFtp.mli
# ocamlc -g -c -o SFIpAddress.cmo SFIpAddress.ml
# ocamlc -g -c -o SFFtp.cmo SFFtp.ml
# ocamlc -g -c -o SFPacket.cmi SFPacket.mli
# ocamlc -g -c -o SFPacket.cmo SFPacket.ml
# ocaml doc_link.ml SFUdpSocket.ml > SFUdpSocket.mli
# ocamlc -g -i SFUdpSocket.ml >> SFUdpSocket.mli
# ocamlc -g -c -o SFUdpSocket.cmi SFUdpSocket.mli
# ocamlc -g -c -o SFUdpSocket.cmo SFUdpSocket.ml
# ocaml doc_link.ml SFTcpSocket.ml > SFTcpSocket.mli
# ocamlc -g -i SFTcpSocket.ml >> SFTcpSocket.mli
# ocamlc -g -c -o SFTcpSocket.cmi SFTcpSocket.mli
# ocamlc -g -c -o SFTcpSocket.cmo SFTcpSocket.ml
# ocaml doc_link.ml SFTcpListener.ml > SFTcpListener.mli
# ocamlc -g -i SFTcpListener.ml >> SFTcpListener.mli
# ocamlc -g -c -o SFTcpListener.cmi SFTcpListener.mli
# ocamlc -g -c -o SFTcpListener.cmo SFTcpListener.ml
# ocaml doc_link.ml SFSocketSelector.ml > SFSocketSelector.mli
# ocamlc -g -i SFSocketSelector.ml >> SFSocketSelector.mli
# ocamlc -g -c -o SFSocketSelector.cmi SFSocketSelector.mli
# ocamlc -g -c -o SFSocketSelector.cmo SFSocketSelector.ml
# ocamlc -g -g -a -o sfml_network.cma \
#    SFHttp.cmo  SFFtp.cmo  SFIpAddress.cmo  SFPacket.cmo  SFUdpSocket.cmo  SFTcpSocket.cmo  SFTcpListener.cmo  SFSocketSelector.cmo \
#   -dllib -lsfml_network_stubs \
#   -cclib -lsfml_network_stubs \
#   -ccopt "-L/usr/lib/" \
#   -cclib "-lsfml-network"
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFConfig.cmx SFConfig.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFTime.cmx SFTime.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFClock.cmx SFClock.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFPausableClock.cmx SFPausableClock.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -a -o sfml_system.cmxa \
#    SFConfig.cmx  SFTime.cmx  SFClock.cmx  SFPausableClock.cmx \
#   -cclib -lsfml_system_stubs \
#   -ccopt "-L/usr/lib/" \
#   -cclib "-lsfml-system"
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFClipboard.cmx SFClipboard.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFCursor.cmx SFCursor.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFKey.cmx SFKey.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFMouse.cmx SFMouse.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFKeyboard.cmx SFKeyboard.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFJoystick.cmx SFJoystick.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFEvent.cmx SFEvent.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFVideoMode.cmx SFVideoMode.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFStyle.cmx SFStyle.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFContextSettings.cmx SFContextSettings.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFWindow.cmx SFWindow.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFContext.cmx SFContext.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -a -o sfml_window.cmxa \
#    SFClipboard.cmx  SFCursor.cmx  SFKey.cmx  SFMouse.cmx  SFKeyboard.cmx  SFJoystick.cmx  SFEvent.cmx  SFVideoMode.cmx  SFStyle.cmx  SFContextSettings.cmx  SFWindow.cmx  SFContext.cmx \
#   -cclib -lsfml_window_stubs \
#   -ccopt "-L/usr/lib/" \
#   -cclib "-lsfml-window"
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFColor.cmx SFColor.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFRect.cmx SFRect.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFBlendMode.cmx SFBlendMode.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFImage.cmx SFImage.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFTexture.cmx SFTexture.ml
# ocamlopt -g -w A -warn-error A -ccopt "-Wall -Werror -Wno-deprecated-declarations" -c -o SFFont.cmx SFFont.ml
# File "SFFont.ml", line 32, characters 0-51:
# 32 | external getInfo: u -> info = "caml_sfFont_getInfo"
#      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
# Error (warning 61): This primitive declaration uses type info, which is unannotated and
# unboxable. The representation of such types may change in future
# versions. You should annotate the declaration of info with [@@boxed]
# or [@@unboxed].
# make: *** [Makefile:170: SFFont.cmx] Error 2
# make: Leaving directory '/home/opam/.opam/4.08/.opam-switch/build/ocaml-sfml.0.08/src'



<><> Error report <><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
+- The following actions failed
| - build ocaml-sfml 0.08
+- 
+- The following changes have been performed
| - install conf-m4         1
| - install conf-pkg-config 1.1
| - install conf-sfml2      1
| - install ocamlfind       1.8.1
+- 
# Run eval $(opam env) to update the current shell environment

The former state can be restored with:
    opam switch import "/home/opam/.opam/4.08/.opam-switch/backup/state-20190901202934.export"
'opam install --verbose --yes --jobs=2 ocaml-sfml.0.08' failed.
Removing intermediate container 2af9d6645911
The command '/bin/sh -c opam exec -- opam-ci-install ocaml-sfml.0.08' returned a non-zero code: 31
[2019-09-01 20:30.03] Failed: Command "sh" "-c" "docker build --label com.docker.datakit.digest=c799a19971ffb5b301c4217355a7be33 --label com.docker.datakit.builton=1567369750.95 --rm --force-rm - < /tmp/tmp-37f8535e/Dockerfile" exited with status 31